Bug 1485919 - Do not provide "perl(setup)"
Summary: Do not provide "perl(setup)"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fusioninventory-agent
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Johan Cwiklinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-28 12:34 UTC by Petr Pisar
Modified: 2018-04-23 15:51 UTC (History)
6 users (show)

Fixed In Version: fusioninventory-agent-2.3.21-4.el6 fusioninventory-agent-2.3.21-3.el7 fusioninventory-agent-2.3.21-3.fc26 fusioninventory-agent-2.3.21-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-10 23:28:18 UTC


Attachments (Terms of Use)

Description Petr Pisar 2017-08-28 12:34:35 UTC
This commit pushed into all branches is wrong:

commit 76234f1bb0f3f77ec2466cd72c8de11f68152326 (HEAD -> master, origin/master, origin/f27, origin/HEAD, f27)
Author: Johan Cwiklinski <johan@x-tnd.be>
Date:   Mon Aug 14 08:24:52 2017 +0200

    Add missing provides on perl(setup)

diff --git a/fusioninventory-agent.spec b/fusioninventory-agent.spec
index 0aa169f..99b7426 100644
--- a/fusioninventory-agent.spec
+++ b/fusioninventory-agent.spec
@@ -10,7 +10,7 @@ License:     GPLv2+
 URL:         http://fusioninventory.org/
 
 Version:     2.3.21
-Release:     1%{?dist}
+Release:     2%{?dist}
 Source0:     https://github.com/fusioninventory/%{name}/releases/download/%{version}/FusionInventory-Agent-%{version}.tar.gz
 Source1:     %{name}.cron
 #Use systemd override capabilities
@@ -72,6 +72,7 @@ Requires:       perl(Net::SSLeay)
 Requires:       perl(Proc::Daemon)
 Requires:       perl(Proc::PID::File)
 Requires:       perl(Socket::GetAddrInfo)
+Provides:       perl(setup) = %{version}-%{release}
 
 %description -n perl-FusionInventory-Agent
 Libraries for Fusioninventory agent.
@@ -316,7 +317,10 @@ install -m 644 -D contrib/yum-plugin/%{name}.conf %{buildroot}%{_sysconfdir}/yum
 
 
 %changelog
-* Tue Aug 01 2017 Marianne Lombard <jehane@fedoraproject.org> - 2.3.21
+* Thu Aug 10 2017 Johan Cwiklinski <jcwiklinski AT teclib DOT com> - 2.3.21-2
+- Fix missing provides issue on perl(setup)
+

Providing 'perl(setup)' means any Perl code do "use setup;" to load 'setup'-named Perl module. This is not true because fusioninventory-agent puts the setup.pm into a private location.

You have to remove the dependency on "perl(setup)".

Comment 1 Petr Pisar 2017-08-28 12:35:57 UTC
Use the "%global __requires_exclude" macros to filter out the Requires and also don't forget to remove the Provides statement.

Comment 2 Emmanuel Seyman 2017-08-28 13:39:47 UTC
I had told marianne and johan that I would help them with this package and forgot it during the summer vacation. Adding myself to the cc list on this bug so that that doesn't happen again.

Comment 3 Fedora Update System 2017-10-18 07:48:49 UTC
fusioninventory-agent-2.3.21-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-63a57b56c7

Comment 4 Fedora Update System 2017-10-18 07:48:59 UTC
fusioninventory-agent-2.3.21-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4f89d5a177

Comment 5 Fedora Update System 2017-10-18 07:49:05 UTC
fusioninventory-agent-2.3.21-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3b8f5f127

Comment 6 Fedora Update System 2017-10-18 07:49:11 UTC
fusioninventory-agent-2.3.21-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e1ee6ca4b

Comment 7 Fedora Update System 2017-10-18 07:49:17 UTC
fusioninventory-agent-2.3.21-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc777291c2

Comment 8 Fedora Update System 2017-10-18 17:22:10 UTC
fusioninventory-agent-2.3.21-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e3b8f5f127

Comment 9 Fedora Update System 2017-10-18 21:17:19 UTC
fusioninventory-agent-2.3.21-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e1ee6ca4b

Comment 10 Fedora Update System 2017-10-18 21:22:52 UTC
fusioninventory-agent-2.3.21-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4f89d5a177

Comment 11 Fedora Update System 2017-10-18 22:21:35 UTC
fusioninventory-agent-2.3.21-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc777291c2

Comment 12 Fedora Update System 2017-10-18 23:47:55 UTC
fusioninventory-agent-2.3.21-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-63a57b56c7

Comment 13 Tuomo Soini 2017-10-25 10:15:15 UTC
Filtering requires is quite broken on epel6.

package: fusioninventory-agent-2.3.21-3.el6.x86_64
  unresolved deps: 
     perl(setup)
package: fusioninventory-agent-task-esx-2.3.21-3.el6.noarch
  unresolved deps: 
     perl(setup)
package: fusioninventory-agent-task-inventory-2.3.21-3.el6.x86_64
  unresolved deps: 
     perl(setup)
     perl(Win32)
     perl(Win32::TieRegistry)
package: fusioninventory-agent-task-network-2.3.21-3.el6.noarch
  unresolved deps: 
     perl(setup)
package: perl-FusionInventory-Agent-2.3.21-3.el6.noarch
  unresolved deps: 
     perl(Win32)
     perl(Win32::Daemon)
     perl(Win32::Job)
     perl(Win32::TieRegistry)

Comment 14 Jitka Plesnikova 2017-10-25 11:17:01 UTC
"%global __requires_exclude" does not work for EPEL 6. You have to used the old version of filters for EPEL 6. Something like this:

%filter_from_requires /perl(setup)/d; /perl(Win32.*)/d
%filter_from_provides /perl(setup)/d
%filter_setup

Comment 16 Fedora End Of Life 2017-11-16 19:40:58 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora Update System 2017-11-25 12:27:27 UTC
fusioninventory-agent-2.3.21-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cbe62cd416

Comment 18 Fedora Update System 2017-11-25 20:46:30 UTC
fusioninventory-agent-2.3.21-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-cbe62cd416

Comment 19 Fedora Update System 2017-12-10 23:28:18 UTC
fusioninventory-agent-2.3.21-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-04-22 00:41:21 UTC
fusioninventory-agent-2.3.21-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-04-22 00:58:56 UTC
fusioninventory-agent-2.3.21-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-04-23 15:51:03 UTC
fusioninventory-agent-2.3.21-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.